Subject: RTE linking to file doesn't prevent deleting it

Description

| have searched the bug tracker but couldn't find a issue for this.

Take a clean installation (i.e. the current introduction package), take an image and create a link to it using the bodytext field of a
normal text CE. The link uses a syntax like ie. file:832 which is the UID of the actuall sys_file.

1. Therefore no sys_file_reference is created, which makes it possible to delete the original file via filelist without any warning.
2. The file is deleted but the sys_file database record remains and doesn't have the deleted flag set. This results in: Frontend &
Backend still showing a valid link to a file (which doesn't exists anymore). The typolink in the frontend is rendered with full name and

path, but when you click it (to download it) you get a fatal error, because the actual file isn't there anymore.

3. So i tried setting the missing deleted flag via database, which then results in fatal erros in the link wizard and frontend reporting they
can't find a file for the given UID (#1317178604: No file found for given UID.)

Is this issue known and maybe already fixed?

Is there any reason why the actual file is not referenced via a sys_file_reference?
The bodytext should then have a link like filereference:12 (UID of sys_file_reference which then leads to the original sys_file)

History

#1 - 2013-12-07 17:22 - Steffen Ritter
- Parent task set to #54272
- Is Regression set to No

#2 - 2014-01-23 20:16 - Stanislas Rolland
- Estimated time set to 5.00

#3 - 2014-01-23 20:20 - Stanislas Rolland
- Assigned To set to Stanislas Rolland

#4 - 2014-02-04 17:29 - Stanislas Rolland
- Status changed from New to Needs Feedback

| am unable to reproduce this issue with current master. After setting a link to a file in the RTE, the reference shows in the file list (through reference
index) and deleting it is refused.

#5 - 2014-02-04 18:47 - Stanislas Rolland
- % Done changed from 0 to 100

- Estimated time changed from 5.00 to 0.50
#6 - 2014-02-05 14:50 - Steffen Ritter

- Status changed from Needs Feedback to Closed

I can confirm that this has been resolved in other commits already
